FeatureVersionMismatch while performing a list blob operation

Published Aug 08 2019 01:22 AM 3,831 Views
Microsoft

Scenario:

While performing a list blob operation on my Azure Storage account, I got the response code 409 with FeatureVersionMismatch error.

The error message looks like below:

Browser:

FeatureVersionMismatch.PNG

Invoking rest Azure List Blob API from Fiddler:

FeatureVersionMismatchFiddler.PNG

Cause:

I spent some time to check what could be the cause until I saw the API version in the SAS token. We can see that it is using API version 2014-02-14. With this version, if you perform List blob operation on an azure storage container which contains an append blob it will result in the above error.

 

Fix:

  • Use the updated API version after 2015-02-21.
  • If you are using the SDK, make sure you are using most recent Azure Storage SDK.

 

More information:

https://docs.microsoft.com/en-us/rest/api/storageservices/list-blobs

 

Hope this helps.

Version history
Last update:
‎Aug 08 2019 01:21 AM
Updated by: